> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Upsert drafts

> Upsert drafts



## OpenAPI

````yaml /api-specs/cloud/governance-api.yaml put /drafts
openapi: 3.0.0
info:
  contact:
    email: support@dominodatalab.com
    name: Domino Data Lab
    url: https://tickets.dominodatalab.com/hc/en-us
  description: Service responsible for managing Domino Governance feature
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  title: Domino Governance API
  version: '1.0'
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is <your-subdomain>.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
paths:
  /drafts:
    put:
      tags:
        - drafts
      summary: Upsert drafts
      description: Upsert drafts
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/server.UpsertDraftsRequest'
        description: Drafts to upsert
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/guardrails.ArtifactDraft'
                type: array
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
components:
  schemas:
    server.UpsertDraftsRequest:
      properties:
        bundleId:
          type: string
        content:
          type: object
        evidenceId:
          type: string
        policyId:
          type: string
      required:
        - bundleId
        - content
        - evidenceId
      type: object
    guardrails.ArtifactDraft:
      properties:
        artifactContent: {}
        artifactId:
          type: string
        bundleId:
          type: string
        evidenceId:
          type: string
        id:
          type: string
        updatedAt:
          type: string
        userId:
          type: string
      type: object
    server.HTTPError:
      properties:
        message:
          type: string
      type: object

````